.variables {
    --color-text:    #000000;
    --color-import-text: #ffffff;
    --color-default: #777777;
    --color-primary: #1b809e;
    --color-success: #5cb85c;
    --color-warning: #f0ad4e;
    --color-danger:  #d9534f;
    --color-background: #ffffff;
}

.border_primary{
    border-bottom: var(--color-primary) solid 2px;
}

.color-texto {
    color: var(--color-text);
}

.color-fondo {
    background-color: var(--color-background);
}

.primary {
    background-color: var(--color-primary) !important;
    color: var(--color-import-text) !important;
}

.default {
    background-color: var(--color-default) !important;
    color: var(--color-import-text) !important;
}

.success {
    background-color: var(--color-success) !important;
    color: var(--color-import-text) !important;
}

.warning {
    background-color: var(--color-warning) !important;
    color: var(--color-import-text) !important;
}

.danger {
    background-color: var(--color-danger) !important;
    color: var(--color-import-text) !important;
}

.text-primary {
    color: var(--color-primary) !important;
    font-weight: bold;
}

.text-normal {
    font-weight: bold;    
}

.text-success {
    color: var(--color-success) !important;
    font-weight: bold;
}

.text-warning {
    color: var(--color-warning) !important;
    font-weight: bold;
}

.text-danger {
    color: var(--color-danger) !important;
    font-weight: bold;
}

.border-primary{ 
    border-color: var(--border-color) !important;
}

.boton {
    background: var(--color-default);
    color: var(--color-import-text);
    border: none;
    padding: 8px 16px;
    width: auto;
    border: none;
    outline: 0;
    cursor: pointer;
}

.boton:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);    
}

.caja {
    width: 100%;    
    padding: 10px; 
}


* {
    box-sizing: border-box;
}
.row::after {
    content: "";
    clear: both;
    display: table;
}

.ancho-100{
    width: 100%;
}

.border-small{
    border: solid 1px black;
}

input:invalid {
    border-bottom: var(--color-danger) 2px solid;
}

input {
    border: none;
    width: 100%;
    border: none;
    outline: none;
    color: var(--color-text);
    border-bottom: var(--color-text) 2px solid;    
    background-color: var(--color-background);
}

input[type="submit"] {
    border: none;
    width: auto;
}

select {
    width: 100%;
    border: none;
    outline: none;    
    color: var(--color-text);    
    border-bottom: var(--color-text) 2px solid;  
    background-color: var(--color-background);
}

select:invalid {
    border-bottom: var(--color-danger) solid 2px;
}

textarea {
    color: var(--color-text);    
    border: var(--color-text) solid 2px;
    width: 100%;
    height: 100px;
    resize: none;
    outline: none;
    background-color: var(--color-background);
}

textarea:invalid {
    border: var(--color-danger) solid 2px;
}

input[type="checkbox"] {
    border: none;
    width: auto;
}

.oculto {
    display: none;
}

.mostrar {
    display: block;
}

.derecha {
    text-align: right;
    float: right !important;
}

[class*="col-"] {
    float: left;
    padding: 15px;
    min-height: 100px;
}
/* For mobile phones: */
[class*="col-"] {
    width: 100%;
}
@media only screen and (min-width: 600px) {
    /* For tablets: */
    .col-s1 {width: 8.33%;}
    .col-s2 {width: 16.66%;}
    .col-s3 {width: 25%;}
    .col-s4 {width: 33.33%;}
    .col-s5 {width: 41.66%;}
    .col-s6 {width: 50%;}
    .col-s7 {width: 58.33%;}
    .col-s8 {width: 66.66%;}
    .col-s9 {width: 75%;}
    .col-s10 {width: 83.33%;}
    .col-s11 {width: 91.66%;}
    .col-s12 {width: 100%;}
}
@media only screen and (min-width: 800px) {
    /* For desktop: */
    .col-md-1 {width: 8.33%;}
    .col-md-2 {width: 16.66%;}
    .col-md-3 {width: 25%;}
    .col-md-4 {width: 33.33%;}
    .col-md-5 {width: 41.66%;}
    .col-md-6 {width: 50%;}
    .col-md-7 {width: 58.33%;}
    .col-md-8 {width: 66.66%;}
    .col-md-9 {width: 75%;}
    .col-md-10 {width: 83.33%;}
    .col-md-11 {width: 91.66%;}
    .col-md-12 {width: 100%;}
}

.nav {
    width: 100%;
}
   
.nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.nav ul li {
    float: left;
}

.nav ul li a {
    display: block;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    color: var(--color-import-text);
}

.nav ul li a:hover {
    background-color: var(--color-default);
    cursor: pointer;
}

.card {
    width: 100%;
    box-shadow: 0 4px 8px 0 var(--color-text), 0 6px 20px 0 var(--color-text);    
    margin: 5px;
}
.card h1,h2,h3,h4,h5,h6,p, img {
    padding: 10px;
}

card p, img {
    float: left;
}

.contenido2 {
    margin: 10px;
}

.borde-redondo {
    border-radius: 25px;
}

.circulo {
    border-radius: 50%;
}


.centrar {
    text-align: center;
}


.paginador {
    width: 100%;
    text-align: center;
}
   
.paginador ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.paginador ul li {
    display: inline-block;
}

.paginador ul li a {
    display: block;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

.paginador ul li a:hover {
    background-color: var(--color-default);
    cursor: pointer;
}

.activo {
    background-color: var(--color-primary);
    color: var(--color-import-text);
}

.borde {
    border: var(--color-default) 2px solid; 
}

.lista {
    width: 100%;    
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);    
    margin: 5px;
}

.lista ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.lista ul li {
    clear: both;
    display: table;
    width: 100%;    
}

.lista h1,h2,h3,h4,h5,h6,p,img {
    padding: 10px;
}

.lista .contenido{
    float: left; 
    width: 70%;   
}

.lista .acciones{
    float: right;
    margin: 30px;
}

.lista .separador-lista {
    width: 100%;
    background-color: var(--color-default);
    height: 2px;
    float: left;
}




/*
* Animaciones
*/

.rotar{
    animation: rotation 2s infinite linear;
}

@keyframes rotation {
    from {
            -webkit-transform: rotate(0deg);
    }
    to {
            -webkit-transform: rotate(359deg);
    }
}

.margen-16 {
    margin: 16px;
}

ul.breadcrumb {
    padding: 10px 16px;
    list-style: none;
    background-color: var(--color-default) !important;;
}
ul.breadcrumb li {
    display: inline;
    font-size: normal;
}
ul.breadcrumb li+li:before {  
    color: var(--color-import-text);
    content: "/\00a0";
}
ul.breadcrumb li a {    
    color: var(--color-text);
    text-decoration: none;
}
ul.breadcrumb li a:hover {
    color: var(--color-import-text);
    text-decoration: underline;
}